## python3-defaults 3.12.3-0ubuntu1

=== debian/changelog ===
python3-defaults (3.12.3-0ubuntu1) noble; urgency=medium

  * Bump version to 3.12.3
  * python3: Conflict with python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Apr 2024 15:29:24 +0200

python3-defaults (3.12.2-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:16:53 +0000

python3-defaults (3.12.2-0ubuntu1) noble; urgency=medium

  * Bump version to 3.12.2
  * libpython3-dbg, libpython3-all-dbg: Depend on libpython3.12t64-dbg.
  * Drop dependencies on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Mar 2024 04:17:15 +0100

python3-defaults (3.12.1-0ubuntu2) noble; urgency=medium

  * Remove Python 3.11 as a supported version
  * Bump hardcoded Provides: python3-supported-min to 3.12
  * Drop deprecated -utf8 and -style html2text options, see #1064737

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Feb 2024 09:15:44 +0000

python3-defaults (3.12.1-0ubuntu1) noble; urgency=medium

  * Merge from Debian unstable
  * Default to Python 3.12
  * Bump version to 3.12.1
  * Bump hardcoded Provides: python3-supported-max to 3.12

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 15:36:56 +0000

python3-defaults (3.11.6-1) unstable; urgency=medium

  * Add 3.12 as a supported Python3 version 
  * Bump version to 3.11.6.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Dec 2023 10:21:41 +0100

python3-defaults (3.11.4-5ubuntu1) noble; urgency=medium

  * Add 3.12 as a supported Python3 version 

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 30 Oct 2023 19:10:40 +0000

## python3-defaults 3.12.3-0ubuntu2

=== debian/changelog ===
python3-defaults (3.12.3-0ubuntu2) noble; urgency=medium

  * debpython/files.py: Use LC_ALL=C.UTF-8 when calling dpkg -L to avoid
    localization issues (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 07 Aug 2024 19:44:52 +0200

=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.3-0~),
  python3.12-minimal:any,
  python3-docutils <!nodoc>,
  python3-sphinx <!nodoc>,
  html2text <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.python.org/
Vcs-Git: https://salsa.debian.org/cpython-team/python3-defaults.git
Vcs-Browser: https://salsa.debian.org/cpython-team/python3-defaults

Package: python3
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3-minimal (= ${binary:Version})
Depends: python3.12 (>= 3.12.3-0~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.12.3-0~) , python3-venv (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Provides: python3-profiler, python3-supported-min (= 3.12), python3-supported-max (= 3.12)
Conflicts: python3-distutils
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.12).

Package: python3-venv
Architecture: any
Multi-Arch: allowed
Depends: python3.12-venv (>= 3.12.3-0~), python3 (= ${binary:Version}),
  ${misc:Depends}
Description: venv module for python3 (default python3 version)
 This package contains the venv module for the Python language (default python3
 version).
 .
 The venv module provides support for creating lightweight "virtual
 environments" with their own site directories, optionally isolated from system
 site directories. Each virtual environment has its own Python binary (which
 matches the version of the binary that was used to create this environment)
 and can have its own independent set of installed Python packages in its site
 directories.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's venv module (currently v3.12).

Package: python3-minimal
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3.12-minimal (>= 3.12.3-0~)
Depends: dpkg (>= 1.13.20), ${misc:Depends}
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.12-minimal/README.Debian for a list of the modules
 contained in this package.
XB-Cnf-Visible-Pkgname: python3

Package: python3-nopie
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
  python3.12-nopie (>= 3.12.3-0~), ${misc:Depends}
Description: Python interpreter linked without PIE (default python3 version)
 This package contains the interpreter not built as position independent
 executable. This interpreter is diverting the python3 executable, and making
 the interpreter built with PIE available as python3-pie.
XB-Cnf-Visible-Pkgname: python3

Package: python3-examples
Architecture: all
Multi-Arch: foreign
Depends: python3 (>= ${binary:Version}), python3.12-examples (>= 3.12.3-0~), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's examples (currently v3.12).

Package: python3-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
  python3.12-dev (>= 3.12.3-0~),
  ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: python3 (<< 3.9.2-1~)
Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
Built-Using: ${sphinxdoc:Built-Using}
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's headers (currently v3.12).

Package: libpython3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3.12-dev (>= 3.12.3-0~), ${misc:Depends}
Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's headers (currently v3.12).

Package: libpython3-stdlib
Architecture: any
Multi-Arch: same
Depends: libpython3.12-stdlib (>= 3.12.3-0~), ${misc:Depends}
Description: interactive high-level object-oriented language (default python3 version)
 This package contains the majority of the standard library for the Python
 language (default python3 version).
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's standard library (currently v3.12).

Package: idle
Architecture: all
Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.12
Enhances: python3
Breaks: idle3 (<< 3.6.2-2)
Replaces: idle3 (<< 3.6.2-2)
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's IDLE (currently v3.12).

Package: idle3
Architecture: all
Section: oldlibs
Depends: python3 (>= ${binary:Version}), idle (>= ${binary:Version}), ${misc:Depends}
Description: IDE for Python using Tkinter (transitional package)
 IDLE is an Integrated Development Environment for Python.
 .
 This package is a transitional package, you can safely remove it.

Package: python3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: python3.12-doc (>= 3.12.3-0~), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python 3
 This is the official set of documentation for the interactive high-level
 object-oriented language Python 3 (v3.12). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's documentation (currently v3.12).

Package: python3-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.12-dbg (>= 3.12.3-0~), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.12)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.12/lib-dynload/debug first.

Package: libpython3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3.12t64-dbg (>= 3.12.3-0~), ${misc:Depends}
Breaks: python3-dbg (<< 3.8.0-1)
Replaces: python3-dbg (<< 3.8.0-1)
Description: debug build of the Python 3 Interpreter (version 3.12)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.12/lib-dynload/debug first.

Package: python3-all
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 ${misc:Depends},
 python3.12,
Description: package depending on all supported Python 3 runtime versions
 The package currently depends on python3.12, in the future, dependencies on
 jython (Python for a JVM) and ironpython (Python for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 runtimes.

Package: python3-all-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 libpython3-all-dev (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-dev (= ${binary:Version}),
 ${misc:Depends},
 python3.12-dev,
Description: package depending on all supported Python 3 development packages
 The package currently depends on python3.12-dev, in the future, dependencies
 on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: python3-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}),
 libpython3-all-dbg (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-dbg (= ${binary:Version}),
 ${misc:Depends},
 python3.12-dbg,
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on python3.12-dbg, in the future, dependencies
 on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: python3-all-venv
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-venv (= ${binary:Version}),
 ${misc:Depends},
 python3.12-venv,
Description: package depending on all supported Python 3 venv modules
 The package currently depends on python3.12-venv, in the future, dependencies
 on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 venv packages.

Package: libpython3-all-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3-dev (= ${binary:Version}),
 ${misc:Depends},
 libpython3.12-dev,
Description: package depending on all supported Python 3 development packages
 The package currently depends on libpython3.12-dev, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
 be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: libpython3-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3-dbg (= ${binary:Version}),
 ${misc:Depends},
 libpython3.12t64-dbg,
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on libpython3.12-dbg, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
 be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: 2to3
Architecture: all
Multi-Arch: foreign
Depends: python3-lib2to3 (>= 3.12.3-0~), python3 (>= ${binary:Version}), ${misc:Depends}
Breaks: python (<< 2.7.14-4)
Replaces: python (<< 2.7.14-4)
Description: 2to3 binary using python3
 2to3 is a Python program that reads Python 2.x source code and applies a
 series of fixers to transform it into valid Python 3.x code. The standard

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))
UPSTRVER   := $(shell echo $(PKGVERSION) | sed 's,(.*)-.*,\1,')
VER        := $(shell echo $(PKGVERSION) | awk 'BEGIN{FS="." }{print $$1 "." $$2}')
NVER       := $(shell echo $(VER) | awk 'BEGIN{FS="." }{print $$1 "." $$2 + 1}') 


distribution := $(shell dpkg-vendor --query Vendor)
distrelease  := $(shell . /etc/os-release; echo $$VERSION_CODENAME)

# required python3.x version
UPSTRVER   := 3.12.3-0~

# required versions of python3-lib2to3 and python3-distutils
STDLIBVER   := 3.12.3-0~

ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
  bd_i586 = dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.3-0~),
else
  bd_i586 = dpkg-dev (>= 1.16.1~),
endif

PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
with_doc	= yes
else
with_doc	= no
endif

ifneq ($(with_doc),yes)
  NOPKGS	= -Npython3-doc
endif

build-arch: build
build-indep: build

build: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	: # compact text version
	$(MAKE) -C policy singlehtml SPHINXOPTS='-D html_theme_options.nosidebar=true'
	( \
	    echo 'The HTML version of the Debian Python Policy can be found in the python3-dev package'; \
	    html2text policy/_build/singlehtml/index.html; \
	) > policy/_build/python-policy.txt
	rm -rf policy/_build/singlehtml

	: # dh_sphinxdoc cannot handle singlehtml, so build both and then discard html
	$(MAKE) -C policy html singlehtml
	touch stamp-doc-policy

ifeq ($(with_doc),yes)
stamp-doc: stamp-doc-policy
else
stamp-doc:
endif
	touch stamp-doc

control-file:
	sed -e "s/@UPSTRVER@/$(UPSTRVER)/g" \
	    -e "s/@STDLIBVER@/$(STDLIBVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@bd_i586@/$(bd_i586)/g" \
		<debian/control.in >debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -rf policy/_build
	rm -f faq/*.h2 faq/*.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,python$(VER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,python$(VER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/python$(VER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_install
ifeq (0,1)
	dh_installdirs usr/share/doc/python/faq

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/
endif
	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	#make check_versions
	DESTDIR=debian/python3 PREFIX=/usr make install-dev
	DESTDIR=debian/python3-minimal PREFIX=/usr make install-runtime
ifeq ($(with_doc),yes)
	DESTDIR=debian/python3-minimal PREFIX=/usr make manpages
endif
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

ifeq ($(with_doc),yes)
	mkdir -p debian/python3-doc/usr/share/doc/python3
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3/html
	mkdir -p debian/python3-doc/usr/share/doc/python3-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3-doc/html
endif

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle/usr/bin
	install -m 755 debian/idle.py debian/idle/usr/bin/idle

	mkdir -p debian/idle/usr/share/man/man1
	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1

	mkdir -p debian/idle/usr/share/pixmaps
	ln -sf python3.xpm debian/idle/usr/share/pixmaps/idle.xpm

	mkdir -p debian/idle/usr/share/applications
	cp -p debian/idle.desktop debian/idle/usr/share/applications/

	: # provide the 2to3-3 a and 2to3-3.1 defaults
	mkdir -p debian/2to3/usr/bin
	install -m 755 debian/2to3.py debian/2to3/usr/bin/2to3

	mkdir -p debian/2to3/usr/share/man/man1
	install -m 644 debian/2to3.1 debian/2to3/usr/share/man/man1/2to3.1

#	dh_installdebconf -i $(NOPKGS)
	dh_lintian -i
	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
	dh_installchangelogs -i $(NOPKGS)

	for p in examples idle idle3; do \
	  case $$p in idle*) : ;; *) p=python3-$$p; esac; \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -sf python3 debian/$$p/usr/share/doc/$$p; \
	done

	dh_compress -i $(NOPKGS)
	dh_fixperms -i $(NOPKGS)
	dh_installdeb -i $(NOPKGS)
	dh_gencontrol -i $(NOPKGS)
	dh_md5sums -i $(NOPKGS)
	dh_builddeb -i $(NOPKGS)

# Build architecture-dependent files here.
binary-arch: build install stamp-doc
	dh_testdir -a
	dh_testroot -a
	dh_installman -a

	: # provide the python and python.1 defaults
	mkdir -p debian/python3-minimal/usr/bin
	ln -sf python$(VER) debian/python3-minimal/usr/bin/python3
	mkdir -p debian/python3-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python3-minimal/usr/share/man/man1/python3.1.gz

	: # 
	mkdir -p debian/python3-minimal/usr/share/python3
	cp -p debian/debian_defaults \
		debian/python3-minimal/usr/share/python3/

	install -m 755 debian/py3versions.py \
		debian/python3-minimal/usr/share/python3/
	install -m 644 debian/py3versions.1 \
		debian/python3-minimal/usr/share/man/man1/
	dh_link -ppython3-minimal /usr/share/python3/py3versions.py /usr/bin/py3versions

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python3/usr/bin
	ln -sf pydoc$(VER) debian/python3/usr/bin/pydoc3
	ln -sf pygettext$(VER) debian/python3/usr/bin/pygettext3
	ln -sf pdb$(VER) debian/python3/usr/bin/pdb3

	mkdir -p debian/python3/usr/share/python3
	install -m 644 debian/python.mk \
		debian/python3/usr/share/python3/

	mkdir -p debian/python3/usr/share/man/man1

## python3-defaults 3.12.3-0ubuntu2.1

=== debian/changelog ===
python3-defaults (3.12.3-0ubuntu2.1) noble-security; urgency=medium

  * No-change rebuild into -security to fix dep issues (LP: #2127093)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 12 Nov 2025 07:15:44 -0500

## python3-defaults 3.12.6-0ubuntu1

=== debian/changelog ===
python3-defaults (3.12.6-0ubuntu1) oracular; urgency=medium

  * Bump version to 3.12.6

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Sep 2024 12:05:40 +0200

python3-defaults (3.12.5-1) unstable; urgency=medium

  * Bump version to 3.12.5
  * debpython/files.py: Set LC_ALL="C.UTF-8" before calling dpkg -L to avoid
    localization issues (LP: #2075337)
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Aug 2024 07:30:33 +0200

python3-defaults (3.12.4-1) unstable; urgency=medium

  * Bump version to 3.12.4
  * python3: Conflict with python3-distutils.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Jul 2024 11:46:46 +0200

python3-defaults (3.12.3-1) unstable; urgency=medium

  * Bump version to 3.12.3
  * Drop dependencies on python3-distutils.
  * Remove Python 3.11 as a supported version.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Jul 2024 13:01:35 +0200

python3-defaults (3.12.2-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Migrate to html2text 2.x, which dropped the -pretty flag.
    Closes: #1064737.
  * Fix typo in py3clean manpage. Thanks JT Hundley. Closes: #1070728.

  [ Matthias Klose ]
  * Bump version.
  * Depend on libpython3.XYt64-dbg, tighten python3.12 build dependency.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Jun 2024 10:23:35 +0200

python3-defaults (3.12.1-1) experimental; urgency=medium

  * Default to Python 3.12.
  * Bump hardcoded Provides: python3-supported-max to 3.12.
  * Stop building the transitional idle3 package. Closes: #1032789.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Jan 2024 09:02:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.3-0~),
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.6-1~),
   python3.12-minimal:any,
   python3-docutils <!nodoc>,
   python3-sphinx <!nodoc>,
-  html2text <!nodoc>,
-Standards-Version: 4.6.2
+  html2text (>= 2) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.python.org/
 Vcs-Git: https://salsa.debian.org/cpython-team/python3-defaults.git
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3-defaults
@@ -18,8 +18,8 @@
 Architecture: any
 Multi-Arch: allowed
 Pre-Depends: python3-minimal (= ${binary:Version})
-Depends: python3.12 (>= 3.12.3-0~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.12.3-0~) , python3-venv (>= ${binary:Version})
+Depends: python3.12 (>= 3.12.6-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.12.6-1~) , python3-venv (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler, python3-supported-min (= 3.12), python3-supported-max (= 3.12)
 Conflicts: python3-distutils
@@ -34,7 +34,7 @@
 Package: python3-venv
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.12-venv (>= 3.12.3-0~), python3 (= ${binary:Version}),
+Depends: python3.12-venv (>= 3.12.6-1~), python3 (= ${binary:Version}),
   ${misc:Depends}
 Description: venv module for python3 (default python3 version)
  This package contains the venv module for the Python language (default python3
@@ -53,7 +53,7 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Pre-Depends: python3.12-minimal (>= 3.12.3-0~)
+Pre-Depends: python3.12-minimal (>= 3.12.6-1~)
 Depends: dpkg (>= 1.13.20), ${misc:Depends}
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
@@ -66,7 +66,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
-  python3.12-nopie (>= 3.12.3-0~), ${misc:Depends}
+  python3.12-nopie (>= 3.12.6-1~), ${misc:Depends}
 Description: Python interpreter linked without PIE (default python3 version)
  This package contains the interpreter not built as position independent
  executable. This interpreter is diverting the python3 executable, and making
@@ -76,7 +76,7 @@
 Package: python3-examples
 Architecture: all
 Multi-Arch: foreign
-Depends: python3 (>= ${binary:Version}), python3.12-examples (>= 3.12.3-0~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.12-examples (>= 3.12.6-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -88,7 +88,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
-  python3.12-dev (>= 3.12.3-0~),
+  python3.12-dev (>= 3.12.6-1~),
   ${misc:Depends}, ${sphinxdoc:Depends}
 Breaks: python3 (<< 3.9.2-1~)
 Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
@@ -105,7 +105,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython3.12-dev (>= 3.12.3-0~), ${misc:Depends}
+Depends: libpython3.12-dev (>= 3.12.6-1~), ${misc:Depends}
 Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Description: header files and a static library for Python (default)
@@ -119,7 +119,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.12-stdlib (>= 3.12.3-0~), ${misc:Depends}
+Depends: libpython3.12-stdlib (>= 3.12.6-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  This package contains the majority of the standard library for the Python
  language (default python3 version).
@@ -140,20 +140,11 @@
  This package is a dependency package, which depends on Debian's default
  Python 3 version's IDLE (currently v3.12).
 
-Package: idle3
-Architecture: all
-Section: oldlibs
-Depends: python3 (>= ${binary:Version}), idle (>= ${binary:Version}), ${misc:Depends}
-Description: IDE for Python using Tkinter (transitional package)
- IDLE is an Integrated Development Environment for Python.
- .
- This package is a transitional package, you can safely remove it.
-
 Package: python3-doc
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: python3.12-doc (>= 3.12.3-0~), ${misc:Depends}
+Depends: python3.12-doc (>= 3.12.6-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -177,7 +168,7 @@
 Architecture: any
 Multi-Arch: allowed
 Section: debug
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.12-dbg (>= 3.12.3-0~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.12-dbg (>= 3.12.6-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.12)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.12/lib-dynload/debug first.
@@ -186,7 +177,7 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libpython3.12t64-dbg (>= 3.12.3-0~), ${misc:Depends}
+Depends: libpython3.12t64-dbg (>= 3.12.6-1~), ${misc:Depends}
 Breaks: python3-dbg (<< 3.8.0-1)
 Replaces: python3-dbg (<< 3.8.0-1)
 Description: debug build of the Python 3 Interpreter (version 3.12)
@@ -289,9 +280,14 @@
 Package: 2to3
 Architecture: all
 Multi-Arch: foreign
-Depends: python3-lib2to3 (>= 3.12.3-0~), python3 (>= ${binary:Version}), ${misc:Depends}
+Depends: python3-lib2to3 (>= 3.12.6-1~), python3 (>= ${binary:Version}), ${misc:Depends}
 Breaks: python (<< 2.7.14-4)
 Replaces: python (<< 2.7.14-4)
 Description: 2to3 binary using python3
  2to3 is a Python program that reads Python 2.x source code and applies a
  series of fixers to transform it into valid Python 3.x code. The standard
+ library contains a rich set of fixers that will handle almost all code. 2to3
+ supporting library lib2to3 is, however, a flexible and generic library, so it
+ is possible to write your own fixers for 2to3. lib2to3 could also be adapted
+ to custom applications in which Python code needs to be edited automatically.
+ .

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,13 @@
 distrelease  := $(shell . /etc/os-release; echo $$VERSION_CODENAME)
 
 # required python3.x version
-UPSTRVER   := 3.12.3-0~
+UPSTRVER   := 3.12.6-1~
 
 # required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.12.3-0~
+STDLIBVER   := 3.12.6-1~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.3-0~),
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.6-1~),
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif
@@ -63,7 +63,8 @@
 	$(MAKE) -C policy singlehtml SPHINXOPTS='-D html_theme_options.nosidebar=true'
 	( \
 	    echo 'The HTML version of the Debian Python Policy can be found in the python3-dev package'; \
-	    html2text policy/_build/singlehtml/index.html; \
+	    html2text -utf8 -rcfile /usr/share/doc/html2text/examples/pretty.style \
+	    policy/_build/singlehtml/index.html; \
 	) > policy/_build/python-policy.txt
 	rm -rf policy/_build/singlehtml
 
@@ -226,7 +227,7 @@
 	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
 	dh_installchangelogs -i $(NOPKGS)
 
-	for p in examples idle idle3; do \
+	for p in examples idle; do \
 	  case $$p in idle*) : ;; *) p=python3-$$p; esac; \
 	  rm -rf debian/$$p/usr/share/doc/$$p; \
 	  ln -sf python3 debian/$$p/usr/share/doc/$$p; \
@@ -273,6 +274,3 @@
 
 	mkdir -p debian/python3/usr/share/python3
 	install -m 644 debian/python.mk \
-		debian/python3/usr/share/python3/
-
-	mkdir -p debian/python3/usr/share/man/man1

## python3-defaults 3.12.8-1

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local
MANPAGES ?= py3compile.1 py3clean.1
VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+),\1,p')

clean:
	find . -name '*.py[co]' -delete
	find . -name __pycache__ -type d | xargs rm -rf
	rm -f .coverage $(MANPAGES)

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python3/runtime.d
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python3/runtime.d/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python3/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python3/debpython/
	$(INSTALL) -m 755 py3compile $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/py3compile
	$(INSTALL) -m 755 py3clean $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/py3clean

install: install-dev install-runtime

%.1: %.rst
	rst2man $< > $@

manpages: $(MANPAGES)

sbuild:
	sbuild --debbuildopts -I

# TESTS
tests:
	nosetests3 --with-doctest --with-coverage

check_versions:
	@PYTHONPATH=. set -ex; \
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0.9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	DEFAULT=`python$$DEB_DEFAULT -c 'import debpython.version as v; print(v.vrepr(v.DEFAULT))'`;\
	SUPPORTED=`python$$DEB_DEFAULT -c 'import debpython.version as v; print(" ".join(sorted(v.vrepr(v.SUPPORTED))))'`;\
	MIN_SUPPORTED=$${SUPPORTED%% *};\
	MAX_SUPPORTED=$${SUPPORTED##* };\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo 'Please update DEFAULT in debpython/version.py' >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo 'Please update SUPPORTED in debpython/version.py' >/dev/stderr; false);\
	grep -Fq "python3-supported-min (= $$MIN_SUPPORTED)" debian/control || \
	(echo 'Please update python3-supported-min in debian/control.in' >/dev/stderr; false);\
	grep -Fq "python3-supported-max (= $$MAX_SUPPORTED)" debian/control || \
	(echo 'Please update python3-supported-max in debian/control.in' >/dev/stderr; false)


.PHONY: clean tests test% check_versions

=== debian/changelog ===
python3-defaults (3.12.8-1) unstable; urgency=medium

  * Bump version to 3.12.8
  * Update python3-supported-max (missed in 3.12.7-1).
  * Add a check that python3-supported-(min|max) is correct.
  * Re-enable check_versions at build time.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 23 Dec 2024 15:15:27 -0400

python3-defaults (3.12.7-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Bump version to 3.12.7

  [ Stefano Rivera ]
  * Add 3.13 as a supported Python3 version.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Nov 2024 06:53:11 +0100

python3-defaults (3.12.6-1) unstable; urgency=medium

  * Bump version to 3.12.6
  * 2to3: Remove obsolete breaks/replaces.
  * Make python3 maintainer scripts more robust for runtime updates.
    LP: #2078356.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Sep 2024 17:21:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python3-defaults
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.6-1~),
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.7-1~),
   python3.12-minimal:any,
   python3-docutils <!nodoc>,
   python3-sphinx <!nodoc>,
@@ -18,10 +17,10 @@
 Architecture: any
 Multi-Arch: allowed
 Pre-Depends: python3-minimal (= ${binary:Version})
-Depends: python3.12 (>= 3.12.6-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.12.6-1~) , python3-venv (>= ${binary:Version})
+Depends: python3.12 (>= 3.12.7-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.12.7-1~) , python3-venv (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
-Provides: python3-profiler, python3-supported-min (= 3.12), python3-supported-max (= 3.12)
+Provides: python3-profiler, python3-supported-min (= 3.12), python3-supported-max (= 3.13)
 Conflicts: python3-distutils
 Description: interactive high-level object-oriented language (default python3 version)
  Python, the high-level, interactive object oriented language,
@@ -34,7 +33,7 @@
 Package: python3-venv
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.12-venv (>= 3.12.6-1~), python3 (= ${binary:Version}),
+Depends: python3.12-venv (>= 3.12.7-1~), python3 (= ${binary:Version}),
   ${misc:Depends}
 Description: venv module for python3 (default python3 version)
  This package contains the venv module for the Python language (default python3
@@ -53,7 +52,7 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Pre-Depends: python3.12-minimal (>= 3.12.6-1~)
+Pre-Depends: python3.12-minimal (>= 3.12.7-1~)
 Depends: dpkg (>= 1.13.20), ${misc:Depends}
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
@@ -66,7 +65,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
-  python3.12-nopie (>= 3.12.6-1~), ${misc:Depends}
+  python3.12-nopie (>= 3.12.7-1~), ${misc:Depends}
 Description: Python interpreter linked without PIE (default python3 version)
  This package contains the interpreter not built as position independent
  executable. This interpreter is diverting the python3 executable, and making
@@ -76,7 +75,7 @@
 Package: python3-examples
 Architecture: all
 Multi-Arch: foreign
-Depends: python3 (>= ${binary:Version}), python3.12-examples (>= 3.12.6-1~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.12-examples (>= 3.12.7-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -88,7 +87,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
-  python3.12-dev (>= 3.12.6-1~),
+  python3.12-dev (>= 3.12.7-1~),
   ${misc:Depends}, ${sphinxdoc:Depends}
 Breaks: python3 (<< 3.9.2-1~)
 Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
@@ -105,7 +104,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython3.12-dev (>= 3.12.6-1~), ${misc:Depends}
+Depends: libpython3.12-dev (>= 3.12.7-1~), ${misc:Depends}
 Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Description: header files and a static library for Python (default)
@@ -119,7 +118,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.12-stdlib (>= 3.12.6-1~), ${misc:Depends}
+Depends: libpython3.12-stdlib (>= 3.12.7-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  This package contains the majority of the standard library for the Python
  language (default python3 version).
@@ -144,7 +143,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: python3.12-doc (>= 3.12.6-1~), ${misc:Depends}
+Depends: python3.12-doc (>= 3.12.7-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -168,7 +167,7 @@
 Architecture: any
 Multi-Arch: allowed
 Section: debug
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.12-dbg (>= 3.12.6-1~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.12-dbg (>= 3.12.7-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.12)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.12/lib-dynload/debug first.
@@ -177,7 +176,7 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libpython3.12t64-dbg (>= 3.12.6-1~), ${misc:Depends}
+Depends: libpython3.12t64-dbg (>= 3.12.7-1~), ${misc:Depends}
 Breaks: python3-dbg (<< 3.8.0-1)
 Replaces: python3-dbg (<< 3.8.0-1)
 Description: debug build of the Python 3 Interpreter (version 3.12)
@@ -190,9 +189,11 @@
 Depends: python3 (= ${binary:Version}),
  ${misc:Depends},
  python3.12,
+ python3.13,
 Description: package depending on all supported Python 3 runtime versions
- The package currently depends on python3.12, in the future, dependencies on
- jython (Python for a JVM) and ironpython (Python for Mono) may be added.
+ The package currently depends on python3.12 and python3.13. In the future,
+ dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
+ be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 runtimes.
@@ -206,9 +207,11 @@
  python3-dev (= ${binary:Version}),
  ${misc:Depends},
  python3.12-dev,
+ python3.13-dev,
 Description: package depending on all supported Python 3 development packages
- The package currently depends on python3.12-dev, in the future, dependencies
- on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
+ The package currently depends on python3.12-dev and python3.13-dev. In the
+ future, dependencies on jython (Python for a JVM) and ironpython (Python for
+ Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 development
@@ -224,9 +227,11 @@
  python3-dbg (= ${binary:Version}),
  ${misc:Depends},
  python3.12-dbg,
+ python3.13-dbg,
 Description: package depending on all supported Python 3 debugging packages
- The package currently depends on python3.12-dbg, in the future, dependencies
- on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
+ The package currently depends on python3.12-dbg and python3.13-dbg. In the
+ future, dependencies on jython (Python for a JVM) and ironpython (Python for
+ Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 debug packages.
@@ -239,9 +244,11 @@
  python3-venv (= ${binary:Version}),
  ${misc:Depends},
  python3.12-venv,
+ python3.13-venv,
 Description: package depending on all supported Python 3 venv modules
- The package currently depends on python3.12-venv, in the future, dependencies
- on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
+ The package currently depends on python3.12-venv and python3.13-venv. In the
+ future, dependencies on jython (Python for a JVM) and ironpython (Python for
+ Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 venv packages.
@@ -253,10 +260,11 @@
 Depends: libpython3-dev (= ${binary:Version}),
  ${misc:Depends},
  libpython3.12-dev,
+ libpython3.13-dev,
 Description: package depending on all supported Python 3 development packages
- The package currently depends on libpython3.12-dev, in the future,
- dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
- be added.
+ The package currently depends on libpython3.12-dev and libpython3.13-dev. In
+ the future, dependencies on jython (Python for a JVM) and ironpython (Python
+ for Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 development
@@ -269,10 +277,11 @@
 Depends: libpython3-dbg (= ${binary:Version}),
  ${misc:Depends},
  libpython3.12t64-dbg,
+ libpython3.13-dbg,
 Description: package depending on all supported Python 3 debugging packages
- The package currently depends on libpython3.12-dbg, in the future,
- dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
- be added.
+ The package currently depends on libpython3.12-dbg and libpython3.13-dbg. In
+ the future, dependencies on jython (Python for a JVM) and ironpython (Python
+ for Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 debug packages.
@@ -280,14 +289,10 @@
 Package: 2to3
 Architecture: all
 Multi-Arch: foreign
-Depends: python3-lib2to3 (>= 3.12.6-1~), python3 (>= ${binary:Version}), ${misc:Depends}
-Breaks: python (<< 2.7.14-4)
-Replaces: python (<< 2.7.14-4)
+Depends: python3-lib2to3 (>= 3.12.7-1~), python3 (>= ${binary:Version}), ${misc:Depends}
 Description: 2to3 binary using python3
  2to3 is a Python program that reads Python 2.x source code and applies a
  series of fixers to transform it into valid Python 3.x code. The standard
  library contains a rich set of fixers that will handle almost all code. 2to3
  supporting library lib2to3 is, however, a flexible and generic library, so it
  is possible to write your own fixers for 2to3. lib2to3 could also be adapted
- to custom applications in which Python code needs to be edited automatically.
- .

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,13 @@
 distrelease  := $(shell . /etc/os-release; echo $$VERSION_CODENAME)
 
 # required python3.x version
-UPSTRVER   := 3.12.6-1~
+UPSTRVER   := 3.12.7-1~
 
 # required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.12.6-1~
+STDLIBVER   := 3.12.7-1~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.6-1~),
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.7-1~),
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif
@@ -176,7 +176,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs
-	#make check_versions
+	make check_versions
 	DESTDIR=debian/python3 PREFIX=/usr make install-dev
 	DESTDIR=debian/python3-minimal PREFIX=/usr make install-runtime
 ifeq ($(with_doc),yes)
